---
title: "Bulk actions on people"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/people.bulk
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Bulk actions on people

Apply one change to up to 500 people: save, stage, tag add/remove, list add/remove, or suppress (never contact again).

Apply one change to up to 500 people: save, stage, tag add/remove, list add/remove, or suppress (never contact again).

## Overview

| Name | Value |
| --- | --- |
| Code | `people.bulk` |
| Scope needed | `crm.write` |
| Risk | Write |
| May need confirmation | Yes |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | People → multi-select |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `ids` | `uuid[]` | Yes |   |
| `op` | `"save" \| "stage" \| "tag_add" \| "tag_remove" \| "list_add" \| "list_remove" \| "suppress"` | Yes |   |
| `value` | `text` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/people.bulk \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"ids":[],"op":"save"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `changed` | `number` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "changed": 1
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "people.bulk"`. Tool name when listed: `people_bulk`.
